petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoGetType

Gets the current Tao algorithm.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetType(Tao tao, const TaoType *type)

Not Collective

### Input Parameter

tao -the Tao solver context

### Output Parameter

type -Tao method

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages